import { jsx } from "react/jsx-runtime";
import { TokenORN as TokenORN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenORN = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ORN", "data-name": "TokenORN", ...props, children: /* @__PURE__ */ jsx(TokenORN$1, { variant }) });
  }
);
TokenORN.displayName = "TokenORN";
Object.assign(TokenORN, { isGdsIcon: true });
export {
  TokenORN
};
